明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 782|回复: 2

[源码] 如何快速设置单行文字Z字?

[复制链接]
发表于 2022-12-6 18:03:03 | 显示全部楼层 |阅读模式
      CAD中单行文字Z值,如何快速设置?

发表于 2022-12-6 18:54:09 | 显示全部楼层
  1. ;; 定义一个函数,用于设置单行文字Z坐标
  2. (defun c:settextz ()
  3.   (vl-load-com)

  4.   ;; 获取当前文档中的所有单行文字
  5.   (setq entities (vlax-get-Objects (vla-get-activedocument (vlax-get-acad-object)) '((0 . "TEXT"))))

  6.   (foreach entity entities
  7.     (setq text (vlax-get-property entity 'textString))
  8.     (setq position (vlax-get-property entity 'insertionpoint))

  9.     ;; 设置单行文字的Z坐标为0
  10.     (setq position (vlax-safearray->list (vlax-make-safearray vlax-vbDouble (cons 0 3))))
  11.     (setq (nth 0 position) (car (vlax-safearray->list (vlax-get-property entity 'insertionpoint))))
  12.     (setq (nth 1 position) (cadr (vlax-safearray->list (vlax-get-property entity 'insertionpoint))))
  13.     (setq (nth 2 position) 0)

  14.     (vla-put-textString entity text position)

  15.     (vlax-release-object entity)))

  16. (princ))


以上代码由ChatGPT给出
 楼主| 发表于 2022-12-6 22:11:40 | 显示全部楼层
本帖最后由 飞鹰158 于 2022-12-6 22:13 编辑
晨曦CAD 发表于 2022-12-6 18:54
以上代码由ChatGPT给出

提示语法错误。(把获取单行文字改为框先单行文字)
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-16 04:54 , Processed in 0.168449 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表